/*
 * Copyright Contributors to the fusa-gcc-plugin project
 *
 * SPDX-License-Identifier: LGPL-2.1-or-later
 */
#pragma once

#include <unordered_set>

using namespace std;

struct plugin_args {
  string database_file = "valid_apis.json";
  bool dump_apis = false;
  bool print_usage = false;
  string profile = "qm";
  string dump_path;
};

struct certified_symbol {
  string name;
  string file;
  string file_sha256;
  unordered_set<string> profiles;
};
